From e4281f197d92061bc2544c62223b95bcca5d6e6d Mon Sep 17 00:00:00 2001
From: Zhao Junwang <zhjwpku@gmail.com>
Date: Fri, 28 Jun 2024 02:51:19 +0000
Subject: [PATCH] stale comments about fastgetattr and heap_getattr

fastgetattr and heap_getattr are converted to inline functions
in e27f4ee0a701, while some comments still referring them as macros.

Signed-off-by: Zhao Junwang <zhjwpku@gmail.com>
---
 src/backend/access/common/heaptuple.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/common/heaptuple.c b/src/backend/access/common/heaptuple.c
index 5c89fbbef8..153fbcd3ff 100644
--- a/src/backend/access/common/heaptuple.c
+++ b/src/backend/access/common/heaptuple.c
@@ -495,7 +495,7 @@ heap_attisnull(HeapTuple tup, int attnum, TupleDesc tupleDesc)
 /* ----------------
  *		nocachegetattr
  *
- *		This only gets called from fastgetattr() macro, in cases where
+ *		This only gets called from fastgetattr(), in cases where
  *		we can't use a cacheoffset and the value is not null.
  *
  *		This caches attribute offsets in the attribute descriptor.
@@ -715,7 +715,7 @@ nocachegetattr(HeapTuple tup,
  *
  *		Fetch the value of a system attribute for a tuple.
  *
- * This is a support routine for the heap_getattr macro.  The macro
+ * This is a support routine for heap_getattr().  The function
  * has already determined that the attnum refers to a system attribute.
  * ----------------
  */
-- 
2.41.0

